--!NEEDS:ui/uipanel.lua

LoginForm=Core.class(UI.Panel,function() end)
function LoginForm:init()
	self.root=self
	UI.Builder({
		class="UI.Panel", Color=0xc0c0c0, Alpha=0, 
		Border=UI.Border.Basic.new{ thickness=3, radius=10, bgColor=0xc0c0c0,bgAlpha=1,fgColor=0x000000,fgAlpha=1 },
		name="root", layout={fill=1},
		layoutModel=UI.Layout.Vertical,
		children={
			{ class="UI.Label", Text="Login:" },
			{ class="UI.TextField", name="tfLogin" },
			{ class="UI.Label", Text="Password:" },
			{ class="UI.TextField", name="tfPass", Password="•" },
			{ class="UI.Label", Text="Server:" },
			{ class="UI.TextField", name="tfServer" },
			{ class="UI.Label", 
				name="tfError", Text="", 
				--TextLayout={flags=FontBase.TLF_CENTER|FontBase.TLF_VCENTER|FontBase.TLF_REF_LINETOP|FontBase.TLF_BREAKWORDS}, 
				--Color=0xFF4040,
			},
			{ class="UI.Panel", Alpha=0, layoutModel=UI.Layout.Horizontal, layout={ insetTop=10 },
				children={
					{ class="UI.Panel", Alpha=0, layoutModel={}, 
						Border=UI.Border.Basic.new{ radius=3, bgColor=0x8080FF, bgAlpha=1}, name="tfConnect", 
						children={
							{ class="UI.Label", Text="Connect", layout={} }
						}
					},
				}
			},
		}
	},self,self)
end